読者です 読者をやめる 読者になる 読者になる

basyura's blog

あしたになったらほんきだす。

bowline-twitter をやっと動かせた

ruby twitter


謎のエラー・・・

$ ruby script/run
  dlopen(/repos/bowline-twitter-org/vendor/gems/ruby/1.9.1/gems/yajl-ruby-0.7.7/ext/yajl_ext.bundle, 9): no suitable 
  image found.  Did find:
    /repos/bowline-twitter-org/vendor/gems/ruby/1.9.1/gems/yajl-ruby-0.7.7/ext/yajl_ext.bundle: mach-o, but wrong 
    architecture - /repos/bowline-twitter-org/vendor/gems/ruby/1.9.1/gems/yajl-ruby-0.7.7/ext/yajl_ext.bundle
    
    /repos/bowline-twitter-org/vendor/gems/ruby/1.9.1/gems/activesupport-3.0.0.beta4/lib/active_support/dependencies.rb:
    212:in `require'

いろいろ試してるうちに twitter を require するとダメなことが分かったので、twitter4r に置き換えたら動いた。なんだかなぁ・・・。
細かい制御はまだよくわかっていないけれど、データ抽出と更新は ruby でやって、画面周りは html と javascript で好きにできるからなんとでもなりそうな予感(だといいな)。次は growl をキックしてみるかな。


fork して push した。
http://github.com/basyura/bowline-twitter